# Netbox

Netbox is a DCIM capable of managing inventory of Sites, Racks, Devices, Ports, etc.

GAP makes use of Netbox to store information about which physical interfaces are in use.

There are some strong assumptions that are made about GAP:

- All the nodes have fixed configuration that does not change often over time
- The only point where operators can assign interfaces is GAP
- The legacy Juniper network is not managed by GAP

## Network hardware

The new routers have a static hardware configuration which depends on the tier of the site at which it is installed.
The following table summarizes the possible configurations:

| Tier | Chassis | Control plane | Switching fabric | Line card                        |
|------|---------|---------------|------------------|----------------------------------|
| 1    | SR7s    | 2x CPM2-s     | 4x SFM7-s        | 2x XCM2 - 2x XMA2-s (36p QSFPDD) |
| 2    | SR7s    | 2x CPM2-s     | 4x SFM7-s        | 2x XCM2 - 2x XMA2-s (36p QSFPDD) |
| 3    | TBD     | TBD           | TBD              | TBD                              |
| 4    | TBD     | TBD           | TBD              | TBD                              |
